libgutenprint API Reference: Data Fields

libgutenprint API Reference 5.2.11

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- array : stp_parameter_t
- attrs : stp_mxml_value_s

### - b -

- base : dither_matrix_impl
- bit_pattern : stp_dotsize
- boolean : stp_parameter_t
- bottom : stp_papersize_t
- bounds : stp_parameter_t
- bytes : stp_dither_matrix_generic , stp_dither_matrix_normal , stp_dither_matrix_short , stp_raw_t

### - c -

- category : stp_parameter_t
- channel : stp_parameter_t
- child : stp_mxml_node_s
- class : stp_module
- colorfuncs : stp_color
- comment : stp_module , stp_papersize_t
- conclude : stp_image
- count : stp_cached_curve_t
- curve : stp_cached_curve_t , stp_parameter_t

### - d -

- d_cache : stp_cached_curve_t
- data : stp_dither_matrix_generic , stp_dither_matrix_normal , stp_dither_matrix_short , stp_raw_t
- dbl : stp_parameter_t
- deflt : stp_parameter_t
- describe_output : stp_printfuncs_t
- describe_parameter : stp_colorfuncs_t
- describe_resolution : stp_printfuncs_t
- dimension : stp_parameter_t
- dot_sizes : stp_shade

### - e -

- element : stp_mxml_value_u
- end_job : stp_printfuncs_t
- end_pos : stp_linebounds_t
- exp : dither_matrix_impl

### - f -

- fast_mask : dither_matrix_impl
- fini : stp_module

### - g -

- get_appname : stp_image
- get_external_options : stp_printfuncs_t
- get_row : stp_colorfuncs_t , stp_image

### - h -

- handle : stp_module
- height : stp_image , stp_papersize_t
- help : stp_parameter_t

### - i -

- i_own : dither_matrix_impl
- imageable_area : stp_printfuncs_t
- index : dither_matrix_impl
- init : stp_colorfuncs_t , stp_image , stp_module
- integer : stp_mxml_value_u , stp_parameter_t
- is_active : stp_parameter_t
- is_mandatory : stp_parameter_t

### - j -

- jet : stp_weave_t

### - l -

- last_child : stp_mxml_node_s
- last_x : dither_matrix_impl
- last_x_mod : dither_matrix_impl
- last_y : dither_matrix_impl
- last_y_mod : dither_matrix_impl
- left : stp_papersize_t
- limit : stp_printfuncs_t
- list_parameters : stp_colorfuncs_t , stp_printfuncs_t
- logicalpassstart : stp_pass_t , stp_weave_t
- long_name : stp_color
- lower : stp_double_bound_t , stp_int_bound_t

### - m -

- major : stp_module_version
- matrix : dither_matrix_impl
- maximum_imageable_area : stp_printfuncs_t
- media_size : stp_printfuncs_t
- minor : stp_module_version
- missingstartrows : stp_pass_t , stp_weave_t

### - n -

- name : stp_module , stp_mxml_attr_s , stp_mxml_value_s , stp_papersize_t , stp_param_string_t , stp_parameter_t
- ncolors : stp_lineactive_t , stp_linebounds_t , stp_linebufs_t , stp_linecount_t , stp_lineoff_t
- next : stp_mxml_node_s
- num_attrs : stp_mxml_value_s
- numsizes : stp_shade

### - o -

- opaque : stp_mxml_value_u

### - p -

- p_class : stp_parameter_t
- p_level : stp_parameter_t
- p_type : stp_parameter_t
- paper_size_type : stp_papersize_t
- paper_unit : stp_papersize_t
- parameters : stp_printfuncs_t
- parent : stp_mxml_node_s
- pass : stp_pass_t , stp_weave_t
- physpassend : stp_pass_t , stp_weave_t
- physpassstart : stp_pass_t , stp_weave_t
- prescaled : stp_dither_matrix_generic , stp_dither_matrix_normal , stp_dither_matrix_short
- prev : stp_mxml_node_s
- print : stp_printfuncs_t
- printer_list : stp_family
- printfuncs : stp_family

### - r -

- read_only : stp_parameter_t
- real : stp_mxml_value_u
- rep : stp_image
- reset : stp_image
- right : stp_papersize_t
- row : stp_weave_t

### - s -

- s_cache : stp_cached_curve_t
- short_name : stp_color
- start_job : stp_printfuncs_t
- start_pos : stp_linebounds_t
- str : stp_parameter_t
- string : stp_mxml_text_s
- subpass : stp_pass_t
- syms : stp_module

### - t -

- text : stp_mxml_value_u , stp_papersize_t , stp_param_string_t , stp_parameter_t
- top : stp_papersize_t
- total_size : dither_matrix_impl
- type : stp_mxml_node_s

### - u -

- upper : stp_double_bound_t , stp_int_bound_t

### - v -

- v : stp_lineactive_t , stp_linebufs_t , stp_linecount_t , stp_lineoff_t
- value : stp_dotsize , stp_mxml_attr_s , stp_mxml_node_s , stp_shade
- verify : stp_printfuncs_t
- verify_this_parameter : stp_parameter_t
- version : stp_module

### - w -

- whitespace : stp_mxml_text_s
- width : stp_image , stp_papersize_t

### - x -

- x : stp_curve_point_t , stp_dither_matrix_generic , stp_dither_matrix_normal , stp_dither_matrix_short
- x_offset : dither_matrix_impl
- x_size : dither_matrix_impl

### - y -

- y : stp_curve_point_t , stp_dither_matrix_generic , stp_dither_matrix_normal , stp_dither_matrix_short
- y_offset : dither_matrix_impl
- y_size : dither_matrix_impl